/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package createBox;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.Graphics;
import javax.swing.JFrame;
import javax.swing.JPanel;
import java.awt.GridLayout;
import javax.swing.JMenu;
import javax.swing.JMenuItem;
import javax.swing.JMenuBar;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

/**
 *
 * @author anhqu
 */
public class BoxController extends JFrame {

    public static final int WIDTH = 300;
    public static final int HEIGHT = 200;
    private MousePanel firstP;
    
    private Box box;
    public BoxController()
    {
        super("Paint Box");
        setSize(WIDTH, HEIGHT);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setLayout(new GridLayout(1,1));
        firstP = new MousePanel();
        firstP.setBackground(Color.LIGHT_GRAY);
        firstP.addMouseListener(new CustomMouseController());
        add(firstP); 
    }
    
    public class MousePanel extends JPanel
    {
        //paint
        public void paintComponent(Graphics g)
        {
            super.paintComponents(g);
            if(box!=null)
                box.paintMe(g);
        }
    }
    
    //controller
    private class CustomMouseController implements MouseListener
    {

        @Override
        public void mouseClicked(MouseEvent e) {
            System.out.println("Mouse clicked: "+ e.getX() + ": "+ e.getY());
            //create new box
            box = new Box(e.getX(), e.getY());
            repaint();
        }

        @Override
        public void mousePressed(MouseEvent e) {
        }

        @Override
        public void mouseReleased(MouseEvent e) {
        }

        @Override
        public void mouseEntered(MouseEvent e) {
        }

        @Override
        public void mouseExited(MouseEvent e) {
        }      
    }
    
    
    
    
    public static void main(String[] args) {
        BoxController gui = new BoxController();
        gui.setVisible(true);
    }
    
}
